#!/usr/bin/env python

#-----------------------------------------------------------------------
# order.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import contextlib
import sqlite3

#-----------------------------------------------------------------------

DATABASE_URL = 'file:bookstore.sqlite?mode=rw'

def main():

    if len(sys.argv) != 3:
        print('Usage: python ' + sys.argv[0] + ' isbn custid',
            file=sys.stderr)
        sys.exit(1)

    isbn = sys.argv[1]
    custid = sys.argv[2]

    try:
        with sqlite3.connect(DATABASE_URL, isolation_level=None,
            uri=True) as connection:
            with contextlib.closing(connection.cursor()) as cursor:
                stmt_str = "UPDATE orders SET quantity = quantity+1 "
                stmt_str += "WHERE isbn='" + isbn + "' "
                stmt_str += "AND custid= '" + custid + "'"
                cursor.execute(stmt_str)

    except Exception as ex:
        print(ex, file=sys.stderr)
        sys.exit(1)

#-----------------------------------------------------------------------

if __name__ == '__main__':
    main()
